<?php
include './conexao.php';
$id=$_POST['id'];
$descricao=$_POST['descricao'];
$inicioInscricao=$_POST['inicioInscricao'];
$fimInscricao=$_POST['fimInscricao'];
$dataProva=$_POST['dataProva'];
$valor=$_POST['valor'];
if (( $_FILES['arquivo']['name'])<>''){

$_UP['pasta'] = '../';
// Tamanho máximo do arquivo (em Bytes)
$_UP['tamanho'] = 1024 * 1024 * 2; // 2Mb
// Array com as extensões permitidas
$_UP['extensoes'] = array('pdf', 'PDF');
// Renomeia o arquivo? (Se true, o arquivo será salvo como .jpg e um nome único)
$_UP['renomeia'] = false;
// Array com os tipos de erros de upload do PHP
$_UP['erros'][0] = 'Não houve erro';
$_UP['erros'][1] = 'O arquivo no upload é maior do que o limite';
$_UP['erros'][2] = 'O arquivo ultrapassa o limite de tamanho especifiado no HTML';
$_UP['erros'][3] = 'O upload do arquivo foi feito parcialmente';
$_UP['erros'][4] = 'Não foi feito o upload do arquivo';
// Verifica se houve algum erro com o upload. Se sim, exibe a mensagem do erro

if ($_FILES['arquivo']['error'] != 0) {
  die("Não foi possível fazer o upload, erro:" . $_UP['erros'][$_FILES['arquivo']['error']]);
  exit; // Para a execução do script
}
// Caso script chegue a esse ponto, não houve erro com o upload e o PHP pode continuar
// Faz a verificação da extensão do arquivo

$nome_arquivo =explode(".", $_FILES['arquivo']['name']); 

$extensao = strtolower(end($nome_arquivo));

////$extensao = strtolower(end(explode('.', $_FILES['arquivo']['name'])));
//echo "Extensão".$extensao;
if (array_search($extensao, $_UP['extensoes']) === false) {
  echo "Por favor, envie arquivos com as seguintes extensões: pdf, PDF";
  exit;
}
// Faz a verificação do tamanho do arquivo
if ($_UP['tamanho'] < $_FILES['arquivo']['size']) {
  echo "O arquivo enviado é muito grande, envie arquivos de até 2Mb.";
  exit;
}
// O arquivo passou em todas as verificações, hora de tentar movê-lo para a pasta
// Primeiro verifica se deve trocar o nome do arquivo
if ($_UP['renomeia'] == true) {
  // Cria um nome baseado no UNIX TIMESTAMP atual e com extensão .jpg
  $nome_final = md5(time()).'.pdf';
} else {
  // Mantém o nome original do arquivo
  $nome_final = $_FILES['arquivo']['name'];
}
  
// Depois verifica se é possível mover o arquivo para a pasta escolhida
if (move_uploaded_file($_FILES['arquivo']['tmp_name'], $_UP['pasta'] . $nome_final)) {
  // Upload efetuado com sucesso, exibe uma mensagem e um link para o arquivo
  //echo "Upload efetuado com sucesso!";
 // echo '<a href="' . $_UP['pasta'] . $nome_final . '">Clique aqui para acessar o arquivo</a>';
  //  $arquivo="relogio\\".$_POST["arquivo"];
    $arquivo=$_UP['pasta'] . $nome_final;
}
}
if ($id==''){
    $sql="insert into bolsao(descricao,data_inicio_inscricao,data_fim_inscricao,data_prova,ano,regulamento,valor)values"
            . "('$descricao','$inicioInscricao','$fimInscricao','$dataProva',substr('$dataProva',1,4),'$nome_final',$valor)";
}else{
    if (( $_FILES['arquivo']['name'])<>''){
    $sql="update bolsao set descricao='$descricao',data_inicio_inscricao='$inicioInscricao',"
            . "data_fim_inscricao='$fimInscricao',data_prova='$dataProva',ano=substr('$dataProva',1,4), regulamento='$nome_final',"
            . "valor=$valor where id=$id";
    }else{    
    $sql="update bolsao set descricao='$descricao',data_inicio_inscricao='$inicioInscricao',"
            . "data_fim_inscricao='$fimInscricao',data_prova='$dataProva',ano=substr('$dataProva',1,4),"
            . " valor=$valor where id=$id";
}
}

mysqli_query($conexao, $sql) or die( 'Erro na query'.mysqli_error() );
echo "<script>location.href='cadastroBolsao.php';</script>";
?>